#include<iostream>
#include<sstream>

#include "BeliefMethod.hh"

using namespace std;

void BeliefMethod::addCommTask(string type, Task* task) {
	this->commTasks[type] = task;
}


Task* BeliefMethod::getTaskOfType(string type) {
	if(this->commTasks.find(type) == this->commTasks.end()) {
		cerr << "ERROR: Communication Task not found for: " << type << endl;
		return NULL;
	}
	return this->commTasks.find(type)->second;
}

string BeliefMethod::toString() {
	ostringstream st;
	st << "========== BELIEF MANAGEMENT ==========\n";
	for(map<string, Task*>::iterator it = this->commTasks.begin(); it != this->commTasks.end(); it++) {
		st << it->first <<": " << it->second->toString() << "\n";
	}
	st << "=======================================\n";
	return st.str();
}

